C# Class RevitLookup.Test.TestElements

These are all the tests concerning Elements. If there become alot of them, then we can break this up into mulitple RevitLookupTestFuncs objects.
Inheritance: RevitLookupTestFuncs
Mostrar archivo Open project: jeremytammik/RevitLookup

Public Methods

Method Description
AnnoSymbol ( ) : void

Creates a new annotation symbol

BeamSystemHardWired ( ) : void

Creates a new Beam System

ClassRoom ( ) : void

DetailCurveHardWired ( ) : void

Creates new Detail Curves

DimensionHardWired ( ) : void

Creates 2 hardwired lines and a dimension to measure the distance between them

Flip ( ) : void

FloorViewPlan ( ) : void

FoundationSlabHardWired ( ) : void

Creates hardwired foundation slabs

Mirror ( ) : void

Mirrors a selected modscope

ModifyWallWidth ( ) : void

Modify the width of a wall by changing the layer thickness.

SimpleFloor ( CurveArray profile, Level level ) : Autodesk.Revit.DB.ElementId

Used by the SimpleShed to create its floors and the fake roof

SimpleFloor ( ) : void

Create a floor for the selected set of walls.

SimpleLevelIteration ( ) : void

Demonstrates the increase of floor to floor height by iterating over a set of available levels.

SimpleShed ( ) : void

Creates a simple shed consisting of a door, window, a few floors and walls

SimpleSlab ( ) : void

Creates a hardwired slab.

SimpleTag ( ) : void

Add a simple tag to selected elements.

SimpleViewSection ( ) : void

SimpleWall ( ) : void

Create a single wall at the specified location and level

TestElements ( Autodesk app ) : System
TextNoteHardWired ( ) : void

Creates a hardwired text note with a straight leader

ViewToNewSheetHardwired ( ) : void

Add the Level 1 (type = Floor Plan) view to a newly created sheet.

WindowCenterVertical ( ) : void
WindowSill_18 ( ) : void

Private Methods

Method Description
CategoryEnums ( ) : void
GetWallHeight ( HostObject hostObj ) : double
GetWindowHeight ( FamilyInstance window ) : double
ParameterEnums ( ) : void
ParameterEnumsNoDups ( ) : void
SimpleSwap ( ) : void

Swap any selected door with a hardwired double door.

UpdateHostCompoudStructures ( ElementType symbol ) : System.Boolean

Method Details

AnnoSymbol() public method

Creates a new annotation symbol
public AnnoSymbol ( ) : void
return void

BeamSystemHardWired() public method

Creates a new Beam System
public BeamSystemHardWired ( ) : void
return void

ClassRoom() public method

public ClassRoom ( ) : void
return void

DetailCurveHardWired() public method

Creates new Detail Curves
public DetailCurveHardWired ( ) : void
return void

DimensionHardWired() public method

Creates 2 hardwired lines and a dimension to measure the distance between them
public DimensionHardWired ( ) : void
return void

Flip() public method

public Flip ( ) : void
return void

FloorViewPlan() public method

public FloorViewPlan ( ) : void
return void

FoundationSlabHardWired() public method

Creates hardwired foundation slabs
public FoundationSlabHardWired ( ) : void
return void

Mirror() public method

Mirrors a selected modscope
public Mirror ( ) : void
return void

ModifyWallWidth() public method

Modify the width of a wall by changing the layer thickness.
public ModifyWallWidth ( ) : void
return void

SimpleFloor() public method

Used by the SimpleShed to create its floors and the fake roof
public SimpleFloor ( CurveArray profile, Level level ) : Autodesk.Revit.DB.ElementId
profile CurveArray
level Level
return Autodesk.Revit.DB.ElementId

SimpleFloor() public method

Create a floor for the selected set of walls.
public SimpleFloor ( ) : void
return void

SimpleLevelIteration() public method

Demonstrates the increase of floor to floor height by iterating over a set of available levels.
public SimpleLevelIteration ( ) : void
return void

SimpleShed() public method

Creates a simple shed consisting of a door, window, a few floors and walls
public SimpleShed ( ) : void
return void

SimpleSlab() public method

Creates a hardwired slab.
public SimpleSlab ( ) : void
return void

SimpleTag() public method

Add a simple tag to selected elements.
public SimpleTag ( ) : void
return void

SimpleViewSection() public method

public SimpleViewSection ( ) : void
return void

SimpleWall() public method

Create a single wall at the specified location and level
public SimpleWall ( ) : void
return void

TestElements() public method

public TestElements ( Autodesk app ) : System
app Autodesk
return System

TextNoteHardWired() public method

Creates a hardwired text note with a straight leader
public TextNoteHardWired ( ) : void
return void

ViewToNewSheetHardwired() public method

Add the Level 1 (type = Floor Plan) view to a newly created sheet.
public ViewToNewSheetHardwired ( ) : void
return void

WindowCenterVertical() public method

public WindowCenterVertical ( ) : void
return void

WindowSill_18() public method

public WindowSill_18 ( ) : void
return void